의뢰 폴더 이동 이력 목록
curl --request GET \
--url https://openapi.pluuug.com/v1/inquiry/{inquiry_id}/folder_history \
--header 'X-API-Key: <api-key>' \
--header 'X-Signature: <api-key>'import requests
url = "https://openapi.pluuug.com/v1/inquiry/{inquiry_id}/folder_history"
headers = {
"X-API-Key": "<api-key>",
"X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>', 'X-Signature': '<api-key>'}};
fetch('https://openapi.pluuug.com/v1/inquiry/{inquiry_id}/folder_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": 123,
"previousFolderName": "<string>",
"currentFolderName": "<string>",
"member": {
"id": 123,
"nickname": "<string>",
"email": "<string>",
"isActive": true,
"grade": {
"id": 123,
"title": "<string>"
}
},
"created": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}의뢰 히스토리
의뢰 폴더 히스토리 목록 조회
의뢰의 폴더 이동 이력을 조회합니다. 이전 폴더명, 현재 폴더명, 변경한 멤버 정보를 포함합니다.
GET
/
v1
/
inquiry
/
{inquiry_id}
/
folder_history
의뢰 폴더 이동 이력 목록
Authorizations
HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.
Path Parameters
⌘I